/*Mobile*/

@media screen and (max-height: 350px) and (max-width: 767px) {
	.portfolio .img-overlay {
		display: none;
	}

	.portfolio .img-overlay.mobi-only {
		display: block!important;
	}

	.home-w-overlay, .home-l-overlay {
	    min-height: 210px;
	    height: auto;
	}
	
	.home-wedding, .home-lifestyle {
	    padding-top: 15vh;
	}
	
	.home-w-overlay h2:after, .home-l-overlay h2:after {
	    left: 230px!important;
	    top: 60px;
	}
	
	.home-header .slide1, .home-header .slide2, .home-header .slide3, .home-header .slide4, .home-header .slide5, .home-header .slide6, .home-header .slide7 {
	    min-height: 100vh!important;
	    height: auto;
	    padding-top: 30vh!important;
	}
	
	.flexslider .slides img {
	    width: 50%!important;
	    display: inline-block;
	}
}

@media (max-width: 767px) {
	.portfolio .img-overlay {
		display: none;
	}

	.portfolio .img-overlay.mobi-only {
		display: block!important;
		opacity: 1;
		padding-top: 48%;
		background-color: rgba(0,0,0,0.2)!important;
	}

	.btn-primary {
	    width: auto;
	    padding: 10px 20px;
	    font-size:18px;
	}
	
	.home-header .slide1, .home-header .slide2, .home-header .slide3, .home-header .slide4, .home-header .slide5, .home-header .slide6, .home-header .slide7 {
	    min-height: 90vh;
	    height: auto;
	    padding-top: 210px;
	}
	
	.flex-direction-nav a {
		top: 50%;
	}
	
	.navbar-toggle {
		float: right;
		border-radius: 0;
		overflow: hidden;
		padding: 0px 10px;
		margin-right: 15px;
		border: none;
	}
	
	.navbar-header img {
		display: inline-block!important;
		width: 50%;
		float: left;
		margin-top: 20px;
		margin-left: 15px;
	}
	
	.navbar-header span>i {
		font-size: 30px;
	}
	
	.navbar-default .navbar-toggle:focus, .navbar-default .navbar-toggle:hover {
		background-color: transparent!important;
	}
	
	.navbar-nav>li {
		display: block;
	}
	
	header .menubar {
		background-color: #333!important;
	  	/*height: 60px; */
	  	top: 0!important;
		position: fixed;
		padding: 0px;
		width: 100%;
		-webkit-transition: all 0.8s;
	    -moz-transition: all 0.8s;
	    -ms-transition: all 0.8s;
	    -o-transition: all 0.8s;
	    transition: all 0.8s;
	}
	
	.menubar {
	    padding-top: 0px;
	    padding-bottom: 0px;
	}
	
	.menubar .col-md-12 {
		padding-left: 0;
		padding-right: 0;
	}
	
	.navbar-collapse {
		position: absolute;
		overflow: auto;
		background-color: #333;
		width: 100%;
		border-top: 0;
	}
	
	header.smaller .promotion-stick {
	    float: none!important;
	    padding-top: 15px!important;
	    padding-bottom: 20px!important;
	}
	
	.cart {
	    width: auto;
	    float: none;
	    display: inline-block;
	}
	
	.modal-text {
	    text-align: center;
	    padding-top: 10vh;
	}
	
	#promotionsModal .modal-body {
	    min-height: 65vh!important;
	}
	
	#promotionsModal .modal-dialog {
	    width: 95%!important;
	}

	
	/*Home page*/
	.flexslider .slides img {
	    width: 70%;
	    display: inline-block;
	}
	
	.home-wedding {
	    background-position: left 40% center;
	}

	.home-w-overlay, .home-l-overlay {
	    text-align: center;
	    top: 0;
	    right: 20px;
	    left: 20px;
	    padding: 20px;
	    height: auto;
	    background-color: rgba(255,255,255,0.8);
	}
	
	.home-w-overlay a, .home-l-overlay a {
	    position: static;
	}
	
	.home-w-overlay h2:after, .home-l-overlay h2:after {
		left    : 120px;
	}
	
	.home-w-overlay h2, .home-l-overlay h2 {
	    margin-bottom: 10px;
	}
	
	.awards-col {
	    width: 33.3%;
	    min-height: 150px;
	    float: left;
	    margin-bottom: 20px;
	    text-align: center;
	}
	
	.awards-col.admire, .contact-awards .awards-col.admire {
	    margin-left: 0;
	}
	
	.contact-awards {
		text-align: center;
		padding-left: 20px;
	}
	
	.contact-awards .awards-col {
	    width: 43%;
	    min-height: 150px;
	    float: left;
	    margin-bottom: 20px;
	}
	
	.mobile-image {
		display: block;
	}
	
	.mobile-image img {
		width: 80%;
		margin-top: 10px;
	}
	
	iframe {
		display: none;
	}
	
	#mooitroues img {
		padding-left: 0!important;
		padding-top: 0px!important;
	}
	
	.home-instagram h2, .home-intro h2, .about .review h2, .about-book h2, .services-wedding h2, .services-lifestyle h2 {
		font-size: 25px;
	}
	
	.about .review h3, .services-contact h3 {
		font-size: 20px;
	}
	
	.instagram-feed .col-md-2 {
		width: 50%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	/*About page*/
	.portfolio-header {
		min-height: 90vh;
	    height: auto;
	}
	
	.contact-header {
		min-height: 90vh;
	    height: auto;
	    padding-top:225px;
	}

	.about-header {
		min-height: 90vh;
	    height: auto;
	}
	
	.about img {
	    margin-bottom: 0!important;
	}
	
	.header-overlay {
	    padding-top: 0px;
	}
	
	.header-desc {
	    top: 0px;
	}
	
	.header-desc h1 {
	    font-size: 50px;
	}
	
	.about-header {
		padding-top:210px;
	}
	
	.about .review {
	    padding-top: 20px;
	}
	
	.about-paragraph {
		padding-top: 20px;
		padding-bottom: 20px;
	}
	
	.about-book, .services-contact {
	    height: 300px;
	    padding-top: 70px;
	}
	
	.portfolio p {
		padding-top: 0;
		line-height: 30px;
	}
	
	.portfolio-header {
		padding-top:220px;
	}

	.header-overlay img {
		width: 30%;
	}
	
	.header-desc.long {
	    top: 40px!important;
	    margin-top: -30px;
	}
	
	.pages p>a {
		font-size: 16px;
		padding: 0;
	}
	
	/*Services page*/
	.services-header {
		min-height: 90vh;
	    height: auto;
	    padding-top:230px;
	}
	
	.services-wedding .col-md-4, .services-lifestyle .col-md-4 {
		width: 33.3%;
		float: left;
		margin-right: auto;
		margin-left: auto;
		margin-bottom: 20px;
		padding-left: 0;
		padding-right: 0;
	}
	
	.services-wedding img {
	    margin-bottom: 0px;
	}
	
	.services-wedding {
		padding-top: 20px;
		padding-bottom: 20px;
	}
	
	.services-lifestyle {
	    padding-bottom: 20px;
	    text-align: center;
	}
	
	/* New Portfolio page */
	.about-header.top-portfolio {
		background-image: url(/images/top-portfolio-header-mobi.jpg)!important;
	}
	
/* 	.about-header.top-portfolio {
		padding-top: 350px;
	} */

	.grid-sizer, .grid-item {
		position: absolute;
		float: left;
		width: 50%;
		height: auto;
		margin-right: auto;
		margin-left: auto;
	}
	
	.top-portfolio h2 {
		text-align: center;
		margin-top: 0;
		margin-bottom: 40px;
	}
	
	.masonry {
		padding-top: 30px;
	}
	
	.portraits-section {
		margin-top: 40px;
	}
	
	/*Contact page*/
	
	input, textarea {
		width: 100%;
	}
	
	/*Footer*/
	.footer img {
	    width: 60%;
	}
	
	.footer-lower i {
	    font-size: 20px;
	    padding-right: 5px;
	    padding-left: 10px;
	}
	
	.footer-lower {
	    text-align:center
	}
	
	.footer-contact-details {
	    float: none;
	    text-align: center;
	}
}

/*Tablet & small screens:*/
@media (min-width: 768px) and (max-width: 991px) {
	.portfolio .img-overlay {
		display: none;
	}

	.portfolio .img-overlay.mobi-only {
		display: block!important;
		opacity: 1;
		padding-top:40%;
		background-color: rgba(0,0,0,0.2)!important;
	}

	.portfolio p {
		padding-top: 0;
		font-size: 17px;
		padding-bottom: 0;
		line-height: 30px;
		vertical-align: middle;
		margin-bottom: 20px;
	}

	.btn-primary {
	    width: auto;
	    padding: 10px 30px;
	    font-size: 18px;
	}
	
	.navbar-nav>li {
	    padding-right: 10px!important;
	}
	
	.cart {
	    width: auto;
	}
	
	.home-header .slide1, .home-header .slide2, .home-header .slide3, .home-header .slide4, .home-header .slide5, .home-header .slide6, .home-header .slide7 {
	    padding-top: 400px;
	}
	
	.home-w-overlay {
		right: 20px;
		left: 20px;
	}
	
	.home-l-overlay {
		right: 20px;
		left: 20px;
	}
	
	.mobile-image {
		display: block;
	}
	
	.mobile-image img {
		width: 80%;
		margin-top: 10px;
	}
	
	iframe {
		display: none;
	}
	
	.instagram-feed .col-md-2 {
		width: 33.3%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	.header-overlay {
		padding-top: 160px;
	}

	.header-overlay img {
		width: 20%;
	}
	
	.header-desc, .portfolio-header .header-desc.long {
		top: 180px;
	}
	
	.awards-col.admire, .contact-awards .awards-col.admire {
	    margin-left: 190px;
	}

	.header-desc h1 {
		font-size: 50px;
	}
	
	/*About page*/
	.about .col-md-4 {
		width: 33.3%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	.about .review {
	    padding-top: 20px;
	}
	
	.about .review h2 {
	    font-size: 30px;
	}
	
	.about .review h3 {
	    font-size: 20px;
	    margin-bottom: 20px;
	}
	
	.about-paragraph {
	    text-align: center;
	    padding-top: 0px;
	    padding-bottom: 20px;
	}
	
	/*Portfolio*/
	.portfolio .col-md-4 {
		width: 33.3%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	/* Top Portfolio */
	.top-portfolio {
		padding-top: 0;
		padding-bottom: 50px;
	}
	
	.top-portfolio h2 {
		margin-top: 60px;
	}
	
	.masonry {
		min-height: 550px!important;
		height: auto;
	}
	
	/*Services page*/
	
	.services-wedding .col-md-4, .services-lifestyle .col-md-4 {
		width: 33.3%;
		float: left;
		margin-right: auto;
		margin-left: auto;
		margin-bottom: 20px;
	}
	
	.wedding-desc, .lifestyle-desc {
	    padding-bottom: 0px;
	}
	
	.services-wedding img {
	    margin-bottom: 10px;
	}
	
	.contact .col-md-6 {
		width: 50%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	input, textarea {
		width: 100%;
	}
	
	/*Footers*/
	
	.footer-lower .col-md-6 {
		width: 50%;
		float: left;
		margin-right: auto;
		margin-left: auto;
	}
	
	.footer-lower i {
	    padding-right: 10px;
	    padding-left: 10px;
	    vertical-align: middle;
	}
	
}

@media (min-width: 992px) and (max-width: 1199px) {
	.btn-primary {
	    width: auto;
	    padding: 10px 30px;
	    font-size: 18px;
	}

	.home-w-overlay {
	    background-color: rgba(255,255,255,0.8);
	    padding: 30px;
	    width: 500px;
	}
	
	.home-l-overlay {
		background-color: rgba(255,255,255,0.8);
	    padding: 30px;
	    width: 500px;
	}
	
	.about .review {
	    padding-top: 0px;
	}
	
	.mobile-image {
		display: block;
	}
	
	.mobile-image img {
		width: 80%;
		margin-top: 10px;
	}
	
	iframe {
		display: none;
	}
	
	.awards-col.admire, .contact-awards .awards-col.admire {
		margin-left: 250px;
	}
}

@media (min-width: 1199px) and (max-width: 1300px) {
	/*.home-w-overlay {*/
	/*    top: 250px;*/
	/*}*/

	.home-l-overlay, .home-w-overlay {
	    top: 0;
	}
	
	.home-header .slide1, .home-header .slide2, .home-header .slide3, .home-header .slide4, .home-header .slide5, .home-header .slide6, .home-header .slide7 {
	    height: 100vh;
	    padding-top: 25vh!important;
	}
	
	.about-header, .portfolio-header, .services-header, .contact-header {
		padding-top: 0;	
	}
	
	.header-overlay {
	    padding-top: 210px;
	}
	
	.header-desc {
	    top: 240px;
	}
	
	.header-desc.long {
	    top: 200px;
	}

	.portfolio-header .header-desc.long {
		top: 250px;
	}

	.portfolio p {
		line-height: 40px;
	}
}

/*Laptop:*/
@media (min-width: 1300px) and (max-width: 1600px) {
	.home-w-overlay {
	    top: 0;
	}

	.home-l-overlay {
	    top: 0;
	}
	
	.home-header .slide1, .home-header .slide2, .home-header .slide3, .home-header .slide4, .home-header .slide5, .home-header .slide6, .home-header .slide7 {
	    height: 100vh;
	    padding-top: 25vh!important;
	}
	
	.about-header, .portfolio-header, .services-header, .contact-header {
		padding-top: 0;	
	}
	
	.header-overlay {
	    padding-top: 210px;
	}
	
	.header-desc {
	    top: 240px;
	}
	
	.header-desc.long {
	    top: 200px;
	}
}